/*
    Bantumi
    Copyright 2005 - 2008 Martin Storsjo

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Martin Storsjo
    martin@martin.st
*/

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>
#include <dns_sd.h>

class Connection;

@interface MultiplayerController : NSObject {
    IBOutlet id contentArea;
    IBOutlet id dialogView;
    IBOutlet id hostPort;
    IBOutlet id hostProgress;
    IBOutlet id hostView;
    IBOutlet id joinHostname;
    IBOutlet id joinPort;
    IBOutlet id joinProgress;
    IBOutlet id joinView;
    IBOutlet id connectButton;
    IBOutlet id typeButton;
	IBOutlet id tableView;

    BOOL done;
    BOOL finished;
	BOOL isClient;
	Connection* conn;
	DNSServiceRef serviceRef;
	NSMutableArray* services;
	NSNetServiceBrowser* browser;
}
- (IBAction)connect;
- (IBAction)switchType;
- (IBAction)cancel;
@end
